function main() {

	if(app.documents.length) {

		var lockedLayers = new Array();
		var visibleLayers = new Array();		
		var docGuides = new Array();
		
		var parentObject;

		for(var i = 0; i < app.activeDocument.pathItems.length; i++)
		
			if(app.activeDocument.pathItems[i].guides) docGuides.push(app.activeDocument.pathItems[i]);
		
		var guidesNumber = docGuides.length;
		if(guidesNumber) {

			for(i = docGuides.length - 1; i >= 0; i--) {

				parentObject = docGuides[i].parent;
				try {

					if((parentObject.typename == "GroupItem") && (parentObject.pageItems.length == 1)) parentObject.remove();
					else docGuides[i].remove();
				}
				catch(anyError) {
			
					if(docGuides[i].layer.locked) {
				
						if(!docGuides[i].layer.visible) {
						
							docGuides[i].layer.locked = false;
							docGuides[i].layer.visible = true;
							lockedLayers.push(docGuides[i].layer);
							visibleLayers.push(docGuides[i].layer);
							
							if((parentObject.typename == "GroupItem") && (parentObject.pageItems.length == 1)) parentObject.remove();
							else docGuides[i].remove();
						}
						else {
						
							docGuides[i].layer.locked = false;
							lockedLayers.push(docGuides[i].layer);
							
							if((parentObject.typename == "GroupItem") && (parentObject.pageItems.length == 1)) parentObject.remove();
							else docGuides[i].remove();
						}
					}
					else {
				
						if(!docGuides[i].layer.visible) {
						
							docGuides[i].layer.visible = true;
							visibleLayers.push(docGuides[i].layer);

							if((parentObject.typename == "GroupItem") && (parentObject.pageItems.length == 1)) parentObject.remove();
							else docGuides[i].remove();
						}
						else {
					
							alert("Cannot remove any guides. Unknown error...");
							exit();
						}
					}
				}
			}			
			for(i = 0; i < visibleLayers.length; i++) visibleLayers[i].visible = false;
			for(i = 0; i < lockedLayers.length; i++) lockedLayers[i].locked = true;
			alert("Removed guides number = " + guidesNumber);			
		}
		else alert("There are no guides in active document...");
	}
	else alert("Open document and try again...");
}		

main();